cleverca22
Posts: 202
Joined: Sat Aug 18, 2012 2:33 pm

Re: voicecommand

Thu Mar 20, 2014 3:46 am

Code: Select all

sudo apt-get install libboost-regex1.49.0

syde0004
Posts: 5
Joined: Wed Dec 09, 2015 10:24 pm

Re: voicecommand

Wed Dec 09, 2015 10:25 pm

Has anybody figured anything out with this? I'm running into the same issue and feel like I'm beating my head against a wall.

G3N13
Posts: 2
Joined: Wed Jan 13, 2016 7:20 am

Re: voicecommand

Wed Jan 13, 2016 9:55 am

I too am having this same exact issue. If any of you have figured it out by now, please let me know! Much appreciated, Thanks

pilou100
Posts: 1
Joined: Sun Apr 17, 2016 11:06 am

Re: voicecommand

Sun Apr 17, 2016 11:08 am

Same one here... too bad :( :( :(

User avatar
DougieLawson
Posts: 34167
Joined: Sun Jun 16, 2013 11:19 pm
Location: Basingstoke, UK
Contact: Website

Re: voicecommand

Sun Apr 17, 2016 3:18 pm

sudo apt-get install libboost libboost-regex libboost-dev libboost-regex-dev
Microprocessor, Raspberry Pi & Arduino Hacker
Mainframe database troubleshooter
MQTT Evangelist
Twitter: @DougieLawson

2012-18: 1B*5, 2B*2, B+, A+, Z, ZW, 3Bs*3, 3B+

Any DMs sent on Twitter will be answered next month.

pbecks1963
Posts: 3
Joined: Wed Apr 30, 2014 10:10 am

Re: voicecommand

Fri Apr 29, 2016 2:20 pm

@DougieLawson

i get the error:
e: unable to locate package libboost libboost-regex libboost-regex-dev

?

User avatar
DougieLawson
Posts: 34167
Joined: Sun Jun 16, 2013 11:19 pm
Location: Basingstoke, UK
Contact: Website

Re: voicecommand

Fri Apr 29, 2016 8:26 pm

Sorry I have no idea how to solve that because my crystal ball went off line a few years ago. You've not given enough detail.

What OS? Are you connected to the internet? Are your apt-get files up to date?
Microprocessor, Raspberry Pi & Arduino Hacker
Mainframe database troubleshooter
MQTT Evangelist
Twitter: @DougieLawson

2012-18: 1B*5, 2B*2, B+, A+, Z, ZW, 3Bs*3, 3B+

Any DMs sent on Twitter will be answered next month.

pbecks1963
Posts: 3
Joined: Wed Apr 30, 2014 10:10 am

Re: voicecommand

Tue May 03, 2016 10:55 am

Sorry Dougie... (nevermind)

meanwhile i have changed a lot (changed to raspbian jessie and "jasper"). Things are still not working properly but i am not giving up...

androidvoir
Posts: 1
Joined: Fri May 06, 2016 12:42 pm

Re: voicecommand

Fri May 06, 2016 12:55 pm

I have been trying to get voicecommand to work on Jessie and this is what worked for me:

Code: Select all

git clone git://github.com/StevenHickson/PiAUISuite.git
cd PiAUISuite/Install/
./InstallAUISuite.sh
cd PiAUISuite/VoiceCommand
make clean
g++ -mcpu=cortex-a7 -mfpu=neon-vfpv4 -mfloat-abi=hard -D'BUILDTS="160506 05:20:31 -0700"' -O3 -lcurl -lboost_regex -o voicecommand voicecommand.cpp
cp voicecommand /usr/bin
voicecommand -s
make by itself kept trying to use g++-4.8 ... I have tried a bunch of other projects out there including pocketsphinx (some success) and Jasper building manually because I don't want to start from a fresh image (no success)

theseamusjames
Posts: 1
Joined: Sun May 08, 2016 6:04 pm

Re: voicecommand

Sun May 08, 2016 6:10 pm

I have been trying to get voicecommand to work on Jessie and this is what worked for me:
Trying your shell commands, I run into an error on

Code: Select all

make clean
And looking at the file, I find that "make clean" only removes some files (*.o)

Further inspection suggests that running

Code: Select all

make voicecommand
should work, but I run into the following error

Code: Select all

In file included from voicecommand.cpp:1:0:
voicecommand.h:8:27: fatal error: boost/regex.hpp: No such file or directory
 #include <boost/regex.hpp>
                           ^
compilation terminated.
Makefile:34: recipe for target 'voicecommand' failed
make: *** [voicecommand] Error 1
I've installed some of the libboost libraries using the following command:

Code: Select all

sudo apt-get install libboost-dev libboost-thread-dev libboost-system-dev libboost-atomic-dev libboost-regex-dev
No luck. Has anyone else successfully compiled on the pi?

Nki1989
Posts: 1
Joined: Mon May 16, 2016 2:37 pm

Re: voicecommand

Mon May 16, 2016 2:44 pm

Has anyone figured what to do after the voice command prompt doesn't work?? When downloading the voice command section of it it simply says voicecommand: error while loading shared libraries: libboost_regex.so.1.49.0: cannot open shared object file: No such file or directory.

I am doing this on a raspberry pi with raspbian Jesse and I have to have this sorted out today as it's the last part of a project I'm working on

Thank you so much for any help

DataManX
Posts: 1
Joined: Sun May 22, 2016 7:10 am

Re: voicecommand

Sun May 22, 2016 7:16 am

This command resolved a similar problem I was having with libboost not found that others report above.
I ran this "sudo apt-get install libboost-regex1.49.0" after I installed Voice Command following instructions here
http://stevenhickson.blogspot.com/2013/ ... e-and.html

Works like a charm.

Low84000
Posts: 1
Joined: Thu Jul 21, 2016 8:36 pm

Re: voicecommand

Thu Jul 21, 2016 8:41 pm

For those who cannot have the older version of libboost-regex 1.49.0.

If you are in version 1.55.0
Just execute this command :
ln -s /usr/lib/arm-linux-gnueabihf/libboost_regex.so.1.55.0 /usr/lib/arm-linux-gnueabihf/libboost_regex.so.1.49.0

Hope it helps :p

Source : https://github.com/StevenHickson/PiAUISuite/issues/58

meatgrinder
Posts: 2
Joined: Tue Sep 19, 2017 9:48 pm

Re: voicecommand

Tue Sep 19, 2017 11:24 pm

or create a link from whatever libboost regex version that you have

rottieGO
Posts: 1
Joined: Wed Oct 25, 2017 3:34 am

Re: voicecommand

Wed Oct 25, 2017 3:39 am

meatgrinder wrote:
Tue Sep 19, 2017 11:24 pm
or create a link from whatever libboost regex version that you have
Did anyone figure out how to run PiAUISuite on Raspberian Stretch on Pi 3B with following versions

axel is already the newest version (2.12-1).
curl is already the newest version (7.52.1-5+deb9u1).
flac is already the newest version (1.3.2-1).
libboost-dev is already the newest version (1.62.0.1+b4).
libboost-regex-dev is already the newest version (1.62.0.1+b4).
libcurl4-gnutls-dev is already the newest version (7.52.1-5+deb9u1).
mpg123 is already the newest version (1.23.8-1).
sox is already the newest version (14.4.1-5).
xterm is already the newest version (327-2).
youtube-dl is already the newest version (2017.05.18.1-1).

host 9.10.3-P4-Raspbian

Installation fails at:

Would you like voicecommand to try to set itself up? y/n
voicecommand: error while loading shared libraries: libboost_regex.so.1.49.0: cannot open shared object file: No such file or directory

maikodocty25
Posts: 4
Joined: Tue Oct 24, 2017 1:58 pm

Re: voicecommand

Fri Oct 27, 2017 4:04 am

I tried to run all this version but still, voice command failed

axel is already the newest version (2.12-1).
curl is already the newest version (7.52.1-5+deb9u1).
flac is already the newest version (1.3.2-1).
libboost-dev is already the newest version (1.62.0.1+b4).
libboost-regex-dev is already the newest version (1.62.0.1+b4).
libcurl4-gnutls-dev is already the newest version (7.52.1-5+deb9u1).
mpg123 is already the newest version (1.23.8-1).


I even execute this command:
git clone git://github.com/StevenHickson/PiAUISuite.git
cd PiAUISuite/Install/
./InstallAUISuite.sh
cd PiAUISuite/VoiceCommand
make clean
g++ -mcpu=cortex-a7 -mfpu=neon-vfpv4 -mfloat-abi=hard -D'BUILDTS="160506 05:20:31 -0700"' -O3 -lcurl -lboost_regex -o voicecommand voicecommand.cpp
cp voicecommand /usr/bin
voicecommand -s
ln -s /usr/lib/arm-linux-gnueabihf/libboost_regex.so.1.55.0 /usr/lib/arm-linux-gnueabihf/libboost_regex.so.1.49.0
https://www.abestmeter.com/ultrasonic-f ... el-sensor/
sox is already the newest version (14.4.1-5).
xterm is already the newest version (327-2).
youtube-dl is already the newest version (2017.05.18.1-1).

arda85835
Posts: 1
Joined: Sun Feb 18, 2018 6:04 pm

Re: voicecommand

Sun Feb 18, 2018 6:14 pm

****SOLUTION****

You are getting this error:
voicecommand: error while loading shared libraries: libboost_regex.so.1.49.0: cannot open shared object file: No such file or directory

Code: Select all

sudo apt-get install libboost libboost-regex libboost-dev libboost-regex-dev

ls /usr/lib/arm-linux-gnueabihf/ | grep 'libboost_regex'
Your output will be something like:
libboost_regex.a
libboost_regex.so
libboost_regex.so.1.62.0 (This number may be different, in that case update the following code)

Code: Select all

sudo ln -s /usr/lib/arm-linux-gnueabihf/libboost_regex.so.1.62.0 /usr/lib/arm-linux-gnueabihf/libboost_regex.so.1.49.0

Return to “Off topic discussion”